commit:     b72982a6fb1d34bae72efb80f454df1dd59308ae
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat May  3 09:42:01 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat May  3 09:43:00 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b72982a6

sys-process/iotop-c: add 1.28

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 sys-process/iotop-c/Manifest            |  1 +
 sys-process/iotop-c/iotop-c-1.28.ebuild | 43 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-process/iotop-c/Manifest b/sys-process/iotop-c/Manifest
index 8362058e08dc..dd5f9de22890 100644
--- a/sys-process/iotop-c/Manifest
+++ b/sys-process/iotop-c/Manifest
@@ -1,2 +1,3 @@
 DIST iotop-c-1.26.tar.gz 139536 BLAKE2B 
90bb3db7dd3b05604fa5368a881434eac06509921447fd53bda7e7291e2c823f82f9015f0c16c516dcfa7c8ee6198466b8634eaf1b111b4f911645b97fc2634f
 SHA512 
47246bc025c396bcd7569bd19d52079701e3b86ab239ac3db1d1386f358f6e95a63d7bad8c1d0552fb61315a9db282967c65e110703863ae71fa6260b775942b
 DIST iotop-c-1.27.tar.gz 142334 BLAKE2B 
80e8ff6d90d325533a9097596dd0353d26214e2302931d0268a2d8f491a9e531d795ba450eac2b0f4bea7beb88317053f8d23308fcdbf52570991255afb81ea0
 SHA512 
55a93e2f3c6aaeb46ca219a77e64706083b8746d1299e8ab576780a2c6a17eb5612c1280531432748afb90ded5e6677149301ea2641b4f77cd3a2d91700b1fbb
+DIST iotop-c-1.28.tar.gz 142648 BLAKE2B 
1c0bab99c671c5759c23f59ab6fa38e61416ae547edafc84c24253f4b0c949c85fa27f6c996e8d4f5f286210009a28002880f507a2abb690c5ac868c15599d36
 SHA512 
c480f96d42b3269c082ec5ada25e668e5452f7dac9e93451e17627920d53d810031a23e9b3d990408458b15ca913615f19a05ef3d9a2e606aee1f5ae27b77891

diff --git a/sys-process/iotop-c/iotop-c-1.28.ebuild 
b/sys-process/iotop-c/iotop-c-1.28.ebuild
new file mode 100644
index 000000000000..4a1fa565f4d6
--- /dev/null
+++ b/sys-process/iotop-c/iotop-c-1.28.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps linux-info toolchain-funcs
+
+DESCRIPTION="top utility for IO (C port)"
+HOMEPAGE="https://github.com/Tomas-M/iotop";
+SRC_URI="https://github.com/Tomas-M/iotop/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/iotop-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+       sys-libs/ncurses:=
+       !sys-process/iotop
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS 
~VM_EVENT_COUNTERS"
+
+FILECAPS=(
+       cap_net_admin=eip usr/bin/iotop
+)
+
+src_prepare() {
+       sed -e 's/-D_FORTIFY_SOURCE=2//' -i Makefile || die
+       default
+}
+
+src_compile() {
+       emake V=1 CC="$(tc-getCC)" PKG_CONFIG="$(tc-getPKG_CONFIG)" NO_FLTO=1
+}
+
+src_install() {
+       dobin iotop
+       dodoc README.md
+       doman iotop.8
+}

Reply via email to